de.caff.generics.mda

## Class OneDimensionalBooleanArray

- java.lang.Object
- - de.caff.generics.Countable.Base<TT>
  - - de.caff.generics.Indexable.Base<TT>
    - - de.caff.generics.mda.OneDimensionalReadAccess.Base<java.lang.Boolean>
      - - de.caff.generics.mda.OneDimensionalBooleanReadAccess.Base
        - - de.caff.generics.mda.OneDimensionalBooleanArray

- All Implemented Interfaces:
    Countable<java.lang.Boolean>, Indexable<java.lang.Boolean>, MultiDimensional, MultiDimensionalAccess<java.lang.Boolean>, MultiDimensionalReadAccess<java.lang.Boolean>, OneDimensionalAccess<java.lang.Boolean>, OneDimensionalBooleanAccess, OneDimensionalBooleanReadAccess, OneDimensionalReadAccess<java.lang.Boolean>, MutableIndexable<java.lang.Boolean>, Sizeable, java.lang.Iterable<java.lang.Boolean>

      public class OneDimensionalBooleanArray
      extends OneDimensionalBooleanReadAccess.Base
      implements OneDimensionalBooleanAccess

  A 1-dimensional array of boolean values.
  Since:
    November 11, 2019
  Author:
    Rammi

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.mda.OneDimensionalBooleanReadAccess

      `OneDimensionalBooleanReadAccess.Base`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableIndexable

      `MutableIndexable.ListView<T>`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.Indexable

      `Indexable.IndexableSpliterator<TElem>`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.mda.OneDimensionalBooleanAccess

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.Indexable

      `EMPTY_INDEXABLE_STRING`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

    - ### Fields inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `EMPTY0, EMPTY1, EMPTY2, EMPTY3, EMPTY4, EMPTY5, EMPTY6, EMPTY7`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OneDimensionalBooleanArray(boolean... values)` Constructor.
    `OneDimensionalBooleanArray(BooleanIndexable source)` Copy constructor.
    `OneDimensionalBooleanArray(java.util.Collection<java.lang.Boolean> elements)` Constructor.
    `OneDimensionalBooleanArray(Indexable<java.lang.Boolean> source)` Copy constructor.
    `OneDimensionalBooleanArray(int numElements)` Constructor.
    `OneDimensionalBooleanArray(int numElements, IntPredicate1 filler)` Initializing constructor.
    `OneDimensionalBooleanArray(MultiDimensionalBooleanArray array)` Copy constructor.
    `OneDimensionalBooleanArray(OneDimensionalBooleanArray source)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getValueAt(int index)` Get the value at the given index.
    `void` | `setValueAt(boolean value, int index)` Set the value at the given index.
    `int` | `size()` Get the size.

    - ### Methods inherited from class de.caff.generics.mda.OneDimensionalBooleanReadAccess.Base

      `asBase`

    - ### Methods inherited from class de.caff.generics.Countable.Base

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalBooleanAccess

      `changeAllValues, changeValueAt, fillValuesByIndex, set`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalBooleanReadAccess

      `asBase, get, singleton`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalAccess

      `changeAll, changeAll, copy, empty, fillByIndex, setElement, setElementAt`

    - ### Methods inherited from interface de.caff.generics.MutableIndexable

      `applyOnEach, asList, copy, copyInternally, copyOf, filled, fillFrom, fromArray, fromArray, fromIndexable, fromIndexable, fromIterable, getCopy, getCopy, headSet, init, initByIndex, initFragile, listIterator, nulled, order, reverse, revert, revert, setFrom, setFrom, setFromArray, setMulti, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, viewArray, viewArray, viewIndexable, viewList`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalAccess

      `change, setAll, setFrom, setFrom, setFrom`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalReadAccess

      `getElement, getNumDimensions, getNumElements, getSize, getSizes, view, visitAll, visitAll`

    - ### Methods inherited from interface de.caff.generics.Indexable

      `addToArray, addToArray, addToCollection, asCollection, binarySearch, checkIndex, combine, compare, downCast, emptyIndexable, equal, findAll, findAllX, findFirst, findFirst, findFirst, findFirstX, findLast, findLast, findLast, findNext, findNext, findNext, findNextX, findPrevious, findPrevious, findPrevious, first, firstMatch, firstMatch, firstMatchX, forEachEntry, forEachEntryFragile, fromCollection, fromCollection, fromCountable, fromCountable, fromEnumeration, fromEnumeration, fromIterable, fromIterable, fromIterable, fromIterable, fromIterator, fromList, fromOptional, frozenSpliterator, getMod, gyt, hash, indexedView, indexes, init, initByIndex, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, iterator, last, mapArray, optional, ordered, rotated, spliterator, toString, view, view, viewAsBooleanIndexable, viewAsByteIndexable, viewAsCharIndexable, viewAsDict, viewAsDoubleIndexable, viewAsFloatIndexable, viewAsIntIndexable, viewAsLongIndexable, viewAsShortIndexable, viewByIndex, viewFragile, viewList, viewList, viewListN, viewListN, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, withAppendedItem, withCachedHash, withExchangedItemAt, withInsertedItemAt, withPrependedItem, withRemovedItemAt, withSwappedItemsAt`

    - ### Methods inherited from interface de.caff.generics.Countable

      `addAllTo, combined, combined, containsEq, containsRef, downCast, equal, equals, filtered, filteredToIndexable, filterToCountable, firstOrNull, foldLeft, forEachFragile, freeze, frozen, frozen, getAny, groupingBy, groupingBy, hasAll, hasAny, isSorted, isStrictlySorted, lastOrNull, mappingBy, mappingBy, optFirst, optLast, orderedCombination, parellelStream, sorted, stream, toArray, toArray, toList, toString, uniform, viewCollection, viewCollection, viewCollectionN, viewCollectionN`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `empty, linearized`

- - ### Constructor Detail

    - #### OneDimensionalBooleanArray

          public OneDimensionalBooleanArray(boolean... values)

      Constructor.
      Parameters:
        `values` - values of this array

    - #### OneDimensionalBooleanArray

          public OneDimensionalBooleanArray(int numElements)

      Constructor. This will initialize all elements with `false`.
      Parameters:
        `numElements` - number of elements in this array
      See Also:
        `OneDimensionalBooleanArray(int, IntPredicate1)`

    - #### OneDimensionalBooleanArray

          public OneDimensionalBooleanArray(int numElements,
                                            @NotNull
                                            IntPredicate1 filler)

      Initializing constructor.
      Parameters:
        `numElements` - number of elements in this array
        `filler` - filler which is called once for each element with its index and expected to return the value to be set for that index

    - #### OneDimensionalBooleanArray

          public OneDimensionalBooleanArray(@NotNull
                                            Indexable<java.lang.Boolean> source)

      Copy constructor.
      Parameters:
        `source` - source to copy
      Throws:
        `java.lang.NullPointerException` - if source contains `null` values

    - #### OneDimensionalBooleanArray

          public OneDimensionalBooleanArray(@NotNull
                                            BooleanIndexable source)

      Copy constructor.
      Parameters:
        `source` - source to copy

    - #### OneDimensionalBooleanArray

          public OneDimensionalBooleanArray(@NotNull
                                            java.util.Collection<java.lang.Boolean> elements)

      Constructor.
      Parameters:
        `elements` - elements to copy
      Throws:
        `java.lang.NullPointerException` - if elements contain `null` values

    - #### OneDimensionalBooleanArray

          public OneDimensionalBooleanArray(@NotNull
                                            OneDimensionalBooleanArray source)

      Copy constructor.
      Parameters:
        `source` - source to copy

    - #### OneDimensionalBooleanArray

          public OneDimensionalBooleanArray(@NotNull
                                            MultiDimensionalBooleanArray array)

      Copy constructor.
      Parameters:
        `array` - sourve array to copy

  - ### Method Detail

    - #### setValueAt

          public void setValueAt(boolean value,
                                 int index)

      Set the value at the given index.
      Specified by:
        `setValueAt` in interface `OneDimensionalBooleanAccess`
      Parameters:
        `value` - value to set
        `index` - index of value

    - #### getValueAt

          public boolean getValueAt(int index)

      Get the value at the given index.
      Specified by:
        `getValueAt` in interface `OneDimensionalBooleanReadAccess`
      Parameters:
        `index` - index of value
      Returns:
        value at given index

    - #### size

          public int size()

      Description copied from interface: `Sizeable`
      Get the size. Size is never negative.
      Specified by:
        `size` in interface `Sizeable`
      Returns:
        the size of this object, usually the number of contained elements, must not be negative